<?xml version="1.0" encoding="UTF-8"?>
<xsd:schema
 targetNamespace="http://noname.org/NoModel"
 xmlns:xsd="http://www.w3.org/2001/XMLSchema"
 xmlns:tns="http://noname.org/NoModel"
 elementFormDefault="qualified"
 xmlns:jxb="http://java.sun.com/xml/ns/jaxb">
  <xsd:annotation>
    <xsd:appinfo>
      <jxb:schemaBindings>
        <!-- XSDファイルひとつに対してパッケージを1つ設定。 -->
        <jxb:package name="myapp.telegram.vo"/>
      </jxb:schemaBindings>
    </xsd:appinfo>
  </xsd:annotation>

  <xsd:simpleType name="userCode">
    <xsd:restriction base="xsd:string">
      <!-- 長さの上限、下限がある場合 -->
      <xsd:minLength value="1" />
      <xsd:maxLength value="256" />
      <xsd:pattern value="[a-z]" />
      <xsd:minInclusive value="0" />
      <xsd:maxInclusive value="100" />
      <!-- 長さが決まっている場合 -->
      <xsd:length value="4" fixed="true" />
    </xsd:restriction>
  </xsd:simpleType>

  <xsd:complexType name="TAAA0001CUserItemsMailAddressItems">
    <xsd:sequence>
      <xsd:element name="mailAddress" type="xsd:string" minOccurs="0" maxOccurs="unbounded" />
      <xsd:element name="mailAddress2" type="xsd:string" minOccurs="1" maxOccurs="1" />
    </xsd:sequence>
  </xsd:complexType>
  <xsd:complexType name="TAAA0001CUserItems">
    <xsd:sequence>
      <xsd:element name="userCode" type="xsd:string" minOccurs="1" maxOccurs="1" />
      <xsd:element name="mailAddressItems"
       type="tns:TAAA0001CUserItemsMailAddressItems" minOccurs="1" maxOccurs="1" />
      <xsd:element name="birthday" type="xsd:date" minOccurs="1" maxOccurs="1" />
    </xsd:sequence>
  </xsd:complexType>
  <xsd:complexType name="TAAA0001CInput">
    <xsd:sequence>
      <xsd:element name="bushoCode" type="xsd:string" minOccurs="1" maxOccurs="1" />
      <xsd:element name="userItems" type="tns:TAAA0001CUserItems" minOccurs="1" maxOccurs="1" />
    </xsd:sequence>
  </xsd:complexType>

  <!-- 自分自身 -->
  <xsd:element name="TAAA0001Input" type="tns:TAAA0001Input"/>
</xsd:schema>